Subject: Re: Why cygwin forced convert all input and output to OEM or ANSI ?
From: Kazuhiro Fujieda <[email-masked]>
To: egor duda <[email-masked]>
Cc: Alexander Gotlib <[email-masked]>
Date: 26 Sep 2001 00:20:20 +0900

>>> On Tue, 25 Sep 2001 17:32:41 +0400
>>> egor duda <[email-masked]> said:

> i know.

I believed you know that. I wanted to make sure of it and
explain the detail for users who don't know.

> the problem is not with SetFileApisTo* stuff, but in
> console-handling code -- it ignores current set codepage and
> enforces oem or ansi one.

I see. I understood your proposal of CYGWIN=codepage:asis.
It lets the console driver simply ignore the codepage issue,
doesn't it?
____
  | AIST      Kazuhiro Fujieda <[email-masked]>
  | HOKURIKU  Center for Information Science
o_/ 1990      Japan Advanced Institute of Science and Technology

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/